with GNATCOM.Dispinterface;

package MSHTML.IHTMLWindow7_Interface is

   type IHTMLWindow7_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLWindow7_Type);

   function Pointer (This : IHTMLWindow7_Type)
     return Pointer_To_IHTMLWindow7;

   procedure Attach (This    : in out IHTMLWindow7_Type;
                     Pointer : in     Pointer_To_IHTMLWindow7);

   function getSelection
     (This             : IHTMLWindow7_Type)
     return Pointer_To_IHTMLSelection;

   function getComputedStyle
     (This            : IHTMLWindow7_Type;
      varArgIn        : Pointer_To_IHTMLDOMNode;
      bstrPseudoElt   : GNATCOM.Types.BSTR;
      Free            : Boolean := True)
     return Pointer_To_IHTMLCSSStyleDeclaration;

   function Get_styleMedia
     (This : IHTMLWindow7_Type)
     return Pointer_To_IHTMLStyleMedia;

   procedure Put_performance
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_performance
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   function Get_innerWidth
     (This : IHTMLWindow7_Type)
     return Interfaces.C.long;

   function Get_innerHeight
     (This : IHTMLWindow7_Type)
     return Interfaces.C.long;

   function Get_pageXOffset
     (This : IHTMLWindow7_Type)
     return Interfaces.C.long;

   function Get_pageYOffset
     (This : IHTMLWindow7_Type)
     return Interfaces.C.long;

   function Get_screenX
     (This : IHTMLWindow7_Type)
     return Interfaces.C.long;

   function Get_screenY
     (This : IHTMLWindow7_Type)
     return Interfaces.C.long;

   function Get_outerWidth
     (This : IHTMLWindow7_Type)
     return Interfaces.C.long;

   function Get_outerHeight
     (This : IHTMLWindow7_Type)
     return Interfaces.C.long;

   procedure Put_onabort
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onabort
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_oncanplay
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_oncanplay
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_oncanplaythrough
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_oncanplaythrough
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onchange
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onchange
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onclick
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onclick
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_oncontextmenu
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_oncontextmenu
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ondblclick
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ondblclick
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ondrag
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ondrag
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ondragend
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ondragend
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ondragenter
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ondragenter
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ondragleave
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ondragleave
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ondragover
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ondragover
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ondragstart
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ondragstart
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ondrop
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ondrop
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ondurationchange
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ondurationchange
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onfocusin
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onfocusin
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onfocusout
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onfocusout
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_oninput
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_oninput
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onemptied
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onemptied
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onended
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onended
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onkeydown
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onkeydown
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onkeypress
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onkeypress
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onkeyup
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onkeyup
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onloadeddata
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onloadeddata
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onloadedmetadata
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onloadedmetadata
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onloadstart
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onloadstart
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmousedown
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmousedown
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmouseenter
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmouseenter
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmouseleave
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmouseleave
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmousemove
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmousemove
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmouseout
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmouseout
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmouseover
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmouseover
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmouseup
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmouseup
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmousewheel
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmousewheel
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onoffline
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onoffline
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ononline
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ononline
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onprogress
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onprogress
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onratechange
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onratechange
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onreadystatechange
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onreadystatechange
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onreset
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onreset
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onseeked
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onseeked
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onseeking
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onseeking
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onselect
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onselect
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onstalled
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onstalled
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onstorage
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onstorage
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onsubmit
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onsubmit
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onsuspend
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onsuspend
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ontimeupdate
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ontimeupdate
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onpause
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onpause
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onplay
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onplay
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onplaying
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onplaying
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onvolumechange
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onvolumechange
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onwaiting
     (This : IHTMLWindow7_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onwaiting
     (This : IHTMLWindow7_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.IHTMLWindow7_Interface;

